# Package org.eclipse.cdt.core.templateengine

Class Summary
SharedDefaults: Processes the shared default values.
TemplateCategory
TemplateCore: TemplateCore class is responsible providing the non-UI part of template and initiating process part of Template Engine.
TemplateDescriptor: This class contains methods to get first process block element, next process block element and checks for next process block element.
TemplateEngine: TemplateEngine is implemented as a Singleton.
TemplateEngine2
TemplateEngineHelper: Acts as an Helper class for Template Engine
TemplateEngineMessages: Deprecated Provide your own messages.
TemplateEngineUtil
TemplateInfo: TemplateInfo class contains the template information like wizard ID, pattern, path and project type.
TemplateInfo2: Template info extended to include new stuff for new new project wizard UI.

Exception Summary
TemplateInitializationException: Represents an exception in initializing a template.